Results 1 to 8 of 8

Thread: Help: E: Sub-process /usr/bin/dpkg returned an error code (1)

Hybrid View

  1. #1
    Junior Member
    Join Date
    Aug 2010
    Posts
    42

    Exclamation Help: E: Sub-process /usr/bin/dpkg returned an error code (1)

    Help !

    I get this error every time, what should i do to fix it...

    Code:
     
    root@bt:~# apt-get -f install
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    3 not fully installed or removed.
    After this operation, 0B of additional disk space will be used.
    Setting up pgf (2.00-1) ...
    dpkg (subprocess): unable to execute post-installation script: Exec format error
    dpkg: error processing pgf (--configure):
     subprocess post-installation script returned error exit status 2
    dpkg: dependency problems prevent configuration of latex-beamer:
     latex-beamer depends on pgf (>= 1.00-1); however:
      Package pgf is not configured yet.
    dpkg: error processing latex-beamer (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of texlive-full:
     texlive-full depends on pgf (>= 1.01.dfsg.1-1); however:
      Package pgf is not configured yet.
     texlive-full depends on latex-beamer (>= 3.06.dfsg.1-0.1); however:
      Package latex-beamer is not configured yet.
    dpkg: error processing texlive-full (--configure):
     dependency problems - leaving unconfigured
    No apport report written because the error message indicates its a followup error from a previous failure.
                              No apport report written because the error message indicates its a followup error from a previous failure.
                                                        Errors were encountered while processing:
     pgf
     latex-beamer
     texlive-full
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    root@bt:~#
    How i get rid of this, please ? I get this error every time...

    Thank you in advance !

    LE: I see there are some topics with the same name but my problem is different.
    Last edited by ElAnarchisto; 10-09-2010 at 05:06 PM.

  2. #2
    Good friend of the forums espreto's Avatar
    Join Date
    Mar 2010
    Location
    Brazil
    Posts
    303

    Default Re: Help: E: Sub-process /usr/bin/dpkg returned an error code (1)

    Try...

    Code:
    # dpkg --configure --pending
    and/or.

    Code:
    # apt-get clean
    and then.

    Code:
    # apt-get update
    Regards,
    (gdb) disass m(y_br)ain

    ®

  3. #3
    Junior Member
    Join Date
    Aug 2010
    Posts
    42

    Default Re: Help: E: Sub-process /usr/bin/dpkg returned an error code (1)

    The error still the same:
    root@bt:~# sudo dpkg --configure -a
    dpkg: dependency problems prevent configuration of texlive-full:
    texlive-full depends on pgf (>= 1.01.dfsg.1-1); however:
    Package pgf is not configured yet.
    dpkg: error processing texlive-full (--configure):
    dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of latex-beamer:
    latex-beamer depends on pgf (>= 1.00-1); however:
    Package pgf is not configured yet.
    dpkg: error processing latex-beamer (--configure):
    dependency problems - leaving unconfigured
    Errors were encountered while processing:
    texlive-full
    latex-beamer

    root@bt:~# update #alias apt-get update && apt-get upgrade && apt-get dist-upgrade
    Get:1 Google Pack stable Release.gpg [189B]
    Get:2 Google Pack stable Release [2544B]
    Get:3 Google Pack stable/main Packages [1092B]
    Hit Lamaresh Wine Repository for Debian lenny Release.gpg
    Hit Lamaresh Wine Repository for Debian squeeze Release.gpg
    Hit Lamaresh Wine Repository for Debian sid Release.gpg
    Hit Lamaresh Wine Repository for Debian lenny Release
    Hit SUN Backtrack Linux Repository pwnsauce Release.gpg
    Hit Lamaresh Wine Repository for Debian squeeze Release
    Hit SUN Backtrack Linux Repository pwnsauce Release
    Hit Lamaresh Wine Repository for Debian sid Release
    Hit SUN Backtrack Linux Repository pwnsauce/main Packages
    Ign Lamaresh Wine Repository for Debian lenny/main Packages
    Hit SUN Backtrack Linux Repository pwnsauce/microverse Packages
    Hit SUN Backtrack Linux Repository pwnsauce/macroverse Packages
    Hit SUN Backtrack Linux Repository pwnsauce/restricted Packages
    Hit SUN Backtrack Linux Repository pwnsauce/universe Packages
    Hit SUN Backtrack Linux Repository pwnsauce/multiverse Packages
    Ign Lamaresh Wine Repository for Debian squeeze/main Packages
    Hit badgerports Ubuntu Repository - index hardy Release.gpg
    Ign Lamaresh Wine Repository for Debian sid/main Packages
    Hit badgerports Ubuntu Repository - index hardy Release
    Hit Lamaresh Wine Repository for Debian lenny/main Packages
    Hit Lamaresh Wine Repository for Debian squeeze/main Packages
    Hit Lamaresh Wine Repository for Debian sid/main Packages
    Hit badgerports Ubuntu Repository - index hardy/main Packages
    Hit http://ppa.launchpad.net intrepid Release.gpg
    Hit http://ppa.launchpad.net intrepid Release.gpg
    Hit http://ppa.launchpad.net intrepid Release
    Hit http://ppa.launchpad.net intrepid Release
    Hit http://ppa.launchpad.net intrepid/main Packages
    Hit http://ppa.launchpad.net intrepid/main Sources
    Hit http://ppa.launchpad.net intrepid/main Packages
    Hit http://ppa.launchpad.net intrepid/main Sources
    Fetched 3825B in 5s (695B/s)
    Reading package lists... Done
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    3 not fully installed or removed.
    After this operation, 0B of additional disk space will be used.
    Do you want to continue [Y/n]? Y
    Setting up pgf (2.00-1) ...
    dpkg (subprocess): unable to execute post-installation script: Exec format error
    dpkg: error processing pgf (--configure):
    subprocess post-installation script returned error exit status 2

    dpkg: dependency problems prevent configuration of latex-beamer:
    latex-beamer depends on pgf (>= 1.00-1); however:
    Package pgf is not configured yet.
    dpkg: error processing latex-beamer (--configure):
    dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of texlive-full:
    texlive-full depends on pgf (>= 1.01.dfsg.1-1); however:
    Package pgf is not configured yet.
    texlive-full depends on latex-beamer (>= 3.06.dfsg.1-0.1); however:
    Package latex-beamer is not configured yet.
    dpkg: error processing texlive-full (--configure):
    dependency problems - leaving unconfigured
    No apport report written because the error message indicates its a followup error from a previous failure.
    No apport report written because the error message indicates its a followup error from a previous failure.
    Errors were encountered while processing:
    pgf
    latex-beamer
    texlive-full
    E: Sub-process /usr/bin/dpkg returned an error code (1)

  4. #4
    Junior Member
    Join Date
    Aug 2010
    Posts
    42

    Default Re: Help: E: Sub-process /usr/bin/dpkg returned an error code (1)

    Second part of fixing commands:
    root@bt:~# dpkg --configure --pending
    dpkg: dependency problems prevent configuration of texlive-full:
    texlive-full depends on pgf (>= 1.01.dfsg.1-1); however:
    Package pgf is not configured yet.
    dpkg: error processing texlive-full (--configure):
    dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of latex-beamer:
    latex-beamer depends on pgf (>= 1.00-1); however:
    Package pgf is not configured yet.
    dpkg: error processing latex-beamer (--configure):
    dependency problems - leaving unconfigured
    Errors were encountered while processing:
    texlive-full
    latex-beamer

    root@bt:~# apt-get clean
    root@bt:~# apt-get update
    Get:1 Google Pack stable Release.gpg [189B]
    Get:2 Google Pack stable Release [2544B]
    Get:3 Google Pack stable/main Packages [1092B]
    Hit Index of / intrepid Release.gpg
    Hit Index of / intrepid Release.gpg
    Hit badgerports Ubuntu Repository - index hardy Release.gpg
    Hit Lamaresh Wine Repository for Debian lenny Release.gpg
    Hit Lamaresh Wine Repository for Debian squeeze Release.gpg
    Hit Index of / intrepid Release
    Hit Lamaresh Wine Repository for Debian sid Release.gpg
    Hit Lamaresh Wine Repository for Debian lenny Release
    Hit Index of / intrepid Release
    Hit badgerports Ubuntu Repository - index hardy Release
    Hit Lamaresh Wine Repository for Debian squeeze Release
    Hit Index of / intrepid/main Packages
    Hit Index of / intrepid/main Sources
    Hit Lamaresh Wine Repository for Debian sid Release
    Hit Index of / intrepid/main Packages
    Hit Index of / intrepid/main Sources
    Ign Lamaresh Wine Repository for Debian lenny/main Packages
    Hit badgerports Ubuntu Repository - index hardy/main Packages
    Ign Lamaresh Wine Repository for Debian squeeze/main Packages
    Ign Lamaresh Wine Repository for Debian sid/main Packages
    Hit Lamaresh Wine Repository for Debian lenny/main Packages
    Hit Lamaresh Wine Repository for Debian squeeze/main Packages
    Hit Lamaresh Wine Repository for Debian sid/main Packages
    Hit SUN Backtrack Linux Repository pwnsauce Release.gpg
    Hit SUN Backtrack Linux Repository pwnsauce Release
    Hit SUN Backtrack Linux Repository pwnsauce/main Packages
    Hit SUN Backtrack Linux Repository pwnsauce/microverse Packages
    Hit SUN Backtrack Linux Repository pwnsauce/macroverse Packages
    Hit SUN Backtrack Linux Repository pwnsauce/restricted Packages
    Hit SUN Backtrack Linux Repository pwnsauce/universe Packages
    Hit SUN Backtrack Linux Repository pwnsauce/multiverse Packages
    Fetched 3825B in 8s (466B/s)
    Reading package lists... Done

  5. #5
    Junior Member
    Join Date
    Aug 2010
    Posts
    42

    Default Re: Help: E: Sub-process /usr/bin/dpkg returned an error code (1)

    The last & final part which shows that the error has not been fixed: (see the end)

    root@bt:~# apt-get autoremove
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    3 not fully installed or removed.
    After this operation, 0B of additional disk space will be used.
    Setting up pgf (2.00-1) ...
    dpkg (subprocess): unable to execute post-installation script: Exec format error
    dpkg: error processing pgf (--configure):
    subprocess post-installation script returned error exit status 2
    dpkg: dependency problems prevent configuration of latex-beamer:
    latex-beamer depends on pgf (>= 1.00-1); however:
    Package pgf is not configured yet.
    dpkg: error processing latex-beamer (--configure):
    dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of texlive-full:
    texlive-full depends on pgf (>= 1.01.dfsg.1-1); however:
    Package pgf is not configured yet.
    texlive-full depends on latex-beamer (>= 3.06.dfsg.1-0.1); however:
    Package latex-beamer is not configured yet.
    dpkg: error processing texlive-full (--configure):
    dependency problems - leaving unconfigured
    No apport report written because the error message indicates its a followup error from a previous failure.
    No apport report written because the error message indicates its a followup error from a previous failure.
    Errors were encountered while processing:
    pgf
    latex-beamer
    texlive-full
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    root@bt:~#

  6. #6
    Good friend of the forums espreto's Avatar
    Join Date
    Mar 2010
    Location
    Brazil
    Posts
    303

    Default Re: Help: E: Sub-process /usr/bin/dpkg returned an error code (1)

    Try again.
    Code:
    dpkg --remove --force-remove-reinstreq pgf latex-beamer texlive-full
    And/or.

    Code:
    apt-get -s remove --purge pgf latex-beamer texlive-full
    Let's trying!
    And another, search on google too!

    Regards,
    (gdb) disass m(y_br)ain

    ®

  7. #7
    Junior Member
    Join Date
    Aug 2010
    Posts
    42

    Default Re: Help: E: Sub-process /usr/bin/dpkg returned an error code (1)

    root@bt:~# dpkg --remove --force-remove-reinstreq pgf latex-beamer texlive-full
    (Reading database ... 341453 files and directories currently installed.)
    Removing pgf ...
    dpkg (subprocess): unable to execute pre-removal script: Exec format error
    dpkg: error processing pgf (--remove):
    subprocess pre-removal script returned error exit status 2
    dpkg (subprocess): unable to execute post-installation script: Exec format error
    dpkg: error while cleaning up:
    subprocess post-installation script returned error exit status 2
    Removing latex-beamer ...
    mktexlsr: Updating /var/lib/texmf/ls-R-TEXMFMAIN...
    mktexlsr: Updating /var/lib/texmf/ls-R-TEXLIVE...
    mktexlsr: Updating /var/lib/texmf/ls-R...
    mktexlsr: Done.
    Removing texlive-full ...
    Processing triggers for doc-base ...
    Processing 1 removed, 1 added doc-base file(s)...
    Error in `/usr/share/doc-base/pgf', line 1: the first line does not contain valid `Document' field
    Registering documents with scrollkeeper...
    Errors were encountered while processing:
    pgf
    root@bt:~# apt-get -s remove --purge pgf latex-beamer texlive-full
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Package latex-beamer is not installed, so not removed
    Package texlive-full is not installed, so not removed
    The following packages will be REMOVED:
    pgf*
    0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
    1 not fully installed or removed.
    Purg pgf [2.00-1]
    root@bt:~# apt-get update
    Hit badgerports Ubuntu Repository - index hardy Release.gpg
    Hit Index of / intrepid Release.gpg
    Hit Index of / intrepid Release.gpg
    Hit badgerports Ubuntu Repository - index hardy Release
    Hit Index of / intrepid Release
    Hit Index of / intrepid Release
    Hit badgerports Ubuntu Repository - index hardy/main Packages
    Hit Index of / intrepid/main Packages
    Hit Index of / intrepid/main Sources
    Hit Index of / intrepid/main Packages
    Hit Index of / intrepid/main Sources
    Hit SUN Backtrack Linux Repository pwnsauce Release.gpg
    Hit SUN Backtrack Linux Repository pwnsauce Release
    Hit SUN Backtrack Linux Repository pwnsauce/main Packages
    Hit SUN Backtrack Linux Repository pwnsauce/microverse Packages
    Hit SUN Backtrack Linux Repository pwnsauce/macroverse Packages
    Hit SUN Backtrack Linux Repository pwnsauce/restricted Packages
    Hit SUN Backtrack Linux Repository pwnsauce/universe Packages
    Hit SUN Backtrack Linux Repository pwnsauce/multiverse Packages
    Hit Lamaresh Wine Repository for Debian lenny Release.gpg
    Hit Lamaresh Wine Repository for Debian squeeze Release.gpg
    Hit Lamaresh Wine Repository for Debian sid Release.gpg
    Hit Lamaresh Wine Repository for Debian lenny Release
    Hit Lamaresh Wine Repository for Debian squeeze Release
    Hit Lamaresh Wine Repository for Debian sid Release
    Ign Lamaresh Wine Repository for Debian lenny/main Packages
    Ign Lamaresh Wine Repository for Debian squeeze/main Packages
    Ign Lamaresh Wine Repository for Debian sid/main Packages
    Hit Lamaresh Wine Repository for Debian lenny/main Packages
    Hit Lamaresh Wine Repository for Debian squeeze/main Packages
    Hit Lamaresh Wine Repository for Debian sid/main Packages
    Get:1 Google Pack stable Release.gpg [189B]
    Get:2 Google Pack stable Release [2544B]
    Get:3 Google Pack stable/main Packages [1092B]
    Fetched 3825B in 8s (438B/s)
    Reading package lists... Done
    root@bt:~# update # means update and upgrade and dist upgrade
    Get:1 Google Pack stable Release.gpg [189B]
    Get:2 Google Pack stable Release [2544B]
    Get:3 Google Pack stable/main Packages [1092B]
    Hit badgerports Ubuntu Repository - index hardy Release.gpg
    Hit Index of / intrepid Release.gpg
    Hit Index of / intrepid Release.gpg
    Hit Lamaresh Wine Repository for Debian lenny Release.gpg
    Hit Lamaresh Wine Repository for Debian squeeze Release.gpg
    Hit Index of / intrepid Release
    Hit Lamaresh Wine Repository for Debian sid Release.gpg
    Hit Lamaresh Wine Repository for Debian lenny Release
    Hit badgerports Ubuntu Repository - index hardy Release
    Hit Index of / intrepid Release
    Hit Lamaresh Wine Repository for Debian squeeze Release
    Hit Index of / intrepid/main Packages
    Hit Index of / intrepid/main Sources
    Hit Lamaresh Wine Repository for Debian sid Release
    Hit Index of / intrepid/main Packages
    Hit badgerports Ubuntu Repository - index hardy/main Packages
    Ign Lamaresh Wine Repository for Debian lenny/main Packages
    Hit Index of / intrepid/main Sources
    Ign Lamaresh Wine Repository for Debian squeeze/main Packages
    Ign Lamaresh Wine Repository for Debian sid/main Packages
    Hit Lamaresh Wine Repository for Debian lenny/main Packages
    Hit Lamaresh Wine Repository for Debian squeeze/main Packages
    Hit Lamaresh Wine Repository for Debian sid/main Packages
    Hit SUN Backtrack Linux Repository pwnsauce Release.gpg
    Hit SUN Backtrack Linux Repository pwnsauce Release
    Hit SUN Backtrack Linux Repository pwnsauce/main Packages
    Hit SUN Backtrack Linux Repository pwnsauce/microverse Packages
    Hit SUN Backtrack Linux Repository pwnsauce/macroverse Packages
    Hit SUN Backtrack Linux Repository pwnsauce/restricted Packages
    Hit SUN Backtrack Linux Repository pwnsauce/universe Packages
    Hit SUN Backtrack Linux Repository pwnsauce/multiverse Packages
    Fetched 3825B in 9s (403B/s)
    Reading package lists... Done
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    1 not fully installed or removed.
    After this operation, 0B of additional disk space will be used.
    Do you want to continue [Y/n]? Y
    Setting up pgf (2.00-1) ...
    dpkg (subprocess): unable to execute post-installation script: Exec format error
    dpkg: error processing pgf (--configure):
    subprocess post-installation script returned error exit status 2
    Errors were encountered while processing:
    pgf
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    root@bt:~#
    Any ideas please ? I need your help , guys !

    Thank you very much !

  8. #8
    Super Moderator Archangel-Amael's Avatar
    Join Date
    Jan 2010
    Location
    Somewhere
    Posts
    8,012

    Default Re: Help: E: Sub-process /usr/bin/dpkg returned an error code (1)

    We do not support users who choose to add repos outside of ours to their copy of BT. I mean for crying out loud you got like every repo on the planet in there. No wonder your junk don't work. Now don't go trying to make a new post, thinking you gonna out smart me on it. I have already told you to read the links below. Especially the one in regards to being new. We are not here to teach you how to use linux. My suggestion leave BT alone and find something a little easier.
    To be successful here you should read all of the following.
    ForumRules
    ForumFAQ
    If you are new to Back|Track
    Back|Track Wiki
    Failure to do so will probably get your threads deleted or worse.

Similar Threads

  1. backtrack error code 514
    By blade61 in forum Beginners Forum
    Replies: 1
    Last Post: 06-24-2010, 11:56 PM
  2. dpkg error ofter synaptic
    By Slimjimmy in forum Beginners Forum
    Replies: 0
    Last Post: 02-27-2010, 05:47 AM
  3. E: Sub-process /usr/bin/dpkg returned an error code (1)
    By Skullnick in forum Beginners Forum
    Replies: 2
    Last Post: 01-31-2010, 05:11 PM
  4. E: Sub-process /usr/bin/dpkg returned an error code (1)
    By Shikuro in forum OLD Newbie Area
    Replies: 1
    Last Post: 07-07-2009, 03:39 PM
  5. dpkg subprocess returned error(1) -> nvidia-drivers
    By inf_437 in forum OLD Newbie Area
    Replies: 0
    Last Post: 06-12-2009, 08:39 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •